Create a lead

Creates a lead from the personal-safety public documentation surface.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
mobileNumberstringRequired
customerDataobjectRequired

Response

Successful.
idstringOptionalformat: "uuid"

The lead’s UUID. This is the identifier used as the path parameter on GET /leads/{id}.

leadIdinteger or nullOptional

Sequential numeric lead identifier. Not the path parameter for GET /leads/{id}.

mobileNumberstring or nullOptional
customerSourceIdinteger or nullOptional
statusstringOptional

Lead status — one of RECEIVED, PROCESSING, CONVERTED, FAILED.

sourcestringOptional
customerDataobjectOptional
processingStartedAtdatetime or nullOptional
convertedAtdatetime or nullOptional
failedAtdatetime or nullOptional
createdAtdatetimeOptional
updatedAtdatetimeOptional

Errors

400
Bad Request Error
401
Unauthorized Error